/*****************************************************************************
 The Klipper Library, By Kirby L. Wallace.  Copyright (c), 1986-1994
             Wallace Information Systems Engineering


   FUNCTION: MAIN.PRG

 PARAMETERS:

DESCRIPTION: Demonstration code for Set stack functions.

    EXAMPLE:


******************************************************************************/

#include "klipper.ch"
#include "set.ch"

//STATIC   __STACK[38,10]

FUNCTION main()
LOCAL    i

CLEAR SCREEN

i = 1

while _CheckSet(_SET_DECIMALS) >= 1

    _PushSet(_SET_DECIMALS,i++)
    ? 'Remaining Space on Stack: '+str(_CheckSet(_SET_DECIMALS))

end


while _PeekSet(_SET_DECIMALS) != NIL


    set(_SET_DECIMALS,_PopSet(_SET_DECIMALS))
    ? 2/3, 'Remaining Space on Stack: '+str(_CheckSet(_SET_DECIMALS))

end


RETURN(NIL)



