/*****************************************************************************
 The Klipper Library, By Kirby L. Wallace.  Copyright (c), 1986-1994
             Wallace Information Systems Engineering


   FUNCTION: main.prg

 PARAMETERS:

DESCRIPTION: Demo program for TIMER()

******************************************************************************/

#include "klipper.ch"

#define  MAINMENU 1
#define  OPTION1  2
#define  OPTION2  3
#define  OPTION3  4


FUNCTION main()

LOCAL    nOpt := 0
LOCAL    TimerScr
LOCAL    nHandle

MEMVAR   acMenu
PRIVATE  acMenu := {' 1 - Read about Timer()     ', ;
                    ' 2 - Experiment with Timers ', ;
                    ' 3 - Try out the Timer Demo ' }

_Prepare()

_FScreen('Timer() Demo')


_Timer(MAINMENU,KT_RESET)
_Timer(OPTION1,KT_RESET)
_Timer(OPTION2,KT_RESET)
_Timer(OPTION3,KT_RESET)

while TRUE

    _Timer(MAINMENU,KT_SWITCH)

    nOpt = _MenuA(5,5,,'Timer() Demo', 'acMenu' )

    if nOpt = 0

        EXIT

    endif

    do case

        case nOpt = 1

            _Timer(OPTION1,KT_SWITCH)

            SAVE SCREEN TO TimerScr

            nHandle = fopen('TIMER.TXT')

            _KeyList('File: TIMER.TXT,  PgUp/PgDn Previous/Next Page,  ESC - Quit')

            _FileBrowse(3,0,maxrow()-1,maxcol(),nHandle)

            fclose(nHandle)

            RESTORE SCREEN FROM TimerScr

        case nOpt = 2

            _Timer(OPTION2,KT_SWITCH)

            _ack('Now in Option 2 - Pretty impressive, huh?')

        case nOpt = 3

            _Timer(OPTION3,KT_SWITCH)

            _ack('Now in Option 3 - And you thought #2 was neat...')

    endcase


end

_Timer(MAINMENU,KT_STOP)
_Timer(OPTION1,KT_STOP)
_Timer(OPTION2,KT_STOP)
_Timer(OPTION3,KT_STOP)

_FScreen('Timer() Demo')

_Box(5,5,14,maxcol()-5)

@ 07,07 say 'Timer Results: '

@ 09,10 say 'Time spent gawking at the MAIN MENU : '+ltrim(str(_TIMER(MAINMENU,KT_READ)))+' seconds.'
@ 10,10 say 'Time spent eyeballing Menu Option 1 : '+ltrim(str(_TIMER(OPTION1,KT_READ)))+' seconds.'
@ 11,10 say 'Time spent looking at Menu Option 2 : '+ltrim(str(_TIMER(OPTION2,KT_READ)))+' seconds.'
@ 12,10 say 'Time spent yawning at Menu Option 3 : '+ltrim(str(_TIMER(OPTION3,KT_READ)))+' seconds.'

_KeyList('Press any key to exit...')

inkey(0)

RETURN(NIL)


